Bug 1896990 - Console shows wrong value for maxUnavailable and maxSurge when set to 0
Summary: Console shows wrong value for maxUnavailable and maxSurge when set to 0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.z
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1894227
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-12 01:37 UTC by OpenShift BugZilla Robot
Modified: 2020-11-24 12:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 12:42:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7192 0 None closed [release-4.5] [release-4.6] Bug 1896990: Handle values of 0 for maxUnavailable and maxSurge 2020-11-20 14:15:47 UTC
Red Hat Product Errata RHSA-2020:5118 0 None None None 2020-11-24 12:42:56 UTC

Description OpenShift BugZilla Robot 2020-11-12 01:37:56 UTC
+++ This bug was initially created as a clone of Bug #1894227 +++

+++ This bug was initially created as a clone of Bug #1894110 +++

On the Deployment page, the console will show the value 1 if either maxUnavailable or maxSurge is set to 0. These fields are allowed to be set to 0 (as long as they're not both 0). We should only show the default value as 1 if the fields are missing from the resource YAML.

--- Additional comment from spadgett@redhat.com on 2020-11-03 18:04:11 UTC ---

*** Bug 1891820 has been marked as a duplicate of this bug. ***

--- Additional comment from spadgett@redhat.com on 2020-11-03 18:07:08 UTC ---

*** Bug 1891820 has been marked as a duplicate of this bug. ***

Comment 4 Yanping Zhang 2020-11-16 11:06:57 UTC
Checked on ocp 4.5 cluster with payload 4.5.0-0.nightly-2020-11-15-110315. Create deployment, and edit to set maxUnavailable or maxSurge to 0, after save, the related item shows 0 on the detail page. The bug is fixed.

Comment 6 errata-xmlrpc 2020-11-24 12:42:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.5.20 bug fix and golang security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5118


Note You need to log in before you can comment on or make changes to this bug.